- 開発
- CMS Developer Docs
- Returns a list of projects.
Returns a list of projects.
GET
/{workspaceIdOrAlias}/projects
Returns a list of projects
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceIdOrAlias
required
string
ID or alias of the workspace
Query Parameters
Section titled “Query Parameters ” page
integer
Used to select the page
perPage
integer
Used to select the page
sort
string
Used to define the order of the response list
dir
string
Used to define the order direction of the response list, will be ignored if the order is not presented
keyword
string
Keyword string
Responses
Section titled “ Responses ”A JSON array of projects
object
projects
Array<object>
object
id
required
string
workspaceId
required
string
name
required
string
description
required
string
license
required
string
readme
required
string
alias
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
accessibility
required
object
visibility
required
string
publication
object
publicModels
required
Array<string>
publicAssets
required
boolean
apiKeys
required
Array<object>
object
id
required
string
name
required
string
description
string
key
required
string
publication
required
object
publicModels
required
Array<string>
publicAssets
required
boolean
requestRoles
Array<string>
totalCount
integer
page
integer
perPage
integer
Invalid request parameter value
Access token is missing or invalid
The requested resource was not found
Internal server error